## org.apache.myfaces.context
Class ResponseWriterWrapper

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              org.apache.myfaces.context.ResponseWriterWrapper

Direct Known Subclasses:
  DummyFormResponseWriterWrapper

public abstract class ResponseWriterWrapper
extends javax.faces.context.ResponseWriter

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Field Summary
`protected javax.faces.context.ResponseWriter` `_responseWriter`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`ResponseWriterWrapper(javax.faces.context.ResponseWriter responseWriter)`

Method Summary
`abstract javax.faces.context.ResponseWriter` `cloneWithWriter(java.io.Writer writer)`
`void` `close()`
`void` `endDocument()`
`void` `endElement(java.lang.String s)`
`void` `flush()`
`java.lang.String` `getCharacterEncoding()`
`java.lang.String` `getContentType()`
`void` `startDocument()`
`void` `startElement(java.lang.String s, javax.faces.component.UIComponent uicomponent)`
`void` `write(char[] cbuf)`
`void` `write(char[] cbuf, int off, int len)`
`void` `write(int c)`
`void` `write(java.lang.String str)`
`void` `write(java.lang.String str, int off, int len)`
`void` `writeAttribute(java.lang.String s, java.lang.Object obj, java.lang.String s1)`
`void` `writeComment(java.lang.Object obj)`
`void` `writeText(char[] ac, int i, int j)`
`void` `writeText(java.lang.Object obj, java.lang.String s)`
`void` `writeURIAttribute(java.lang.String s, java.lang.Object obj, java.lang.String s1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _responseWriter

    protected javax.faces.context.ResponseWriter _responseWriter

Constructor Detail

### ResponseWriterWrapper

    public ResponseWriterWrapper(javax.faces.context.ResponseWriter responseWriter)

Method Detail

### getContentType

    public java.lang.String getContentType()

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### startDocument

    public void startDocument()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### endDocument

    public void endDocument()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String s,
                             javax.faces.component.UIComponent uicomponent)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### endElement

    public void endElement(java.lang.String s)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeAttribute

    public void writeAttribute(java.lang.String s,
                               java.lang.Object obj,
                               java.lang.String s1)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeURIAttribute

    public void writeURIAttribute(java.lang.String s,
                                  java.lang.Object obj,
                                  java.lang.String s1)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeComment

    public void writeComment(java.lang.Object obj)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeText

    public void writeText(java.lang.Object obj,
                          java.lang.String s)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeText

    public void writeText(char[] ac,
                          int i,
                          int j)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### cloneWithWriter

    public abstract javax.faces.context.ResponseWriter cloneWithWriter(java.io.Writer writer)

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int c)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(char[] cbuf)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.lang.String str)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.lang.String str,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`